<?php
/**
 * Class that operate on table 'stagestep'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-04-08 10:32
 */
class StagestepMySqlExtDAO extends StagestepMySqlDAO{

	public function insertwithid($stagestep){
		$sql = 'INSERT INTO stagestep (stagestepId,stageId, stepno, operationId) VALUES (?, ?, ?, ?)';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->setNumber($stagestep->stagestepId);
		$sqlQuery->setNumber($stagestep->stageId);
		$sqlQuery->setNumber($stagestep->stepno);
		$sqlQuery->setNumber($stagestep->operationId);

		$id = $this->executeInsert($sqlQuery);	
		$stagestep->stagestepId = $id;
		return $id;
	}
}
?>